[vdr] [patch] compil vdr-1.7.4 against v4l-dvb hg as of today

Gregoire Favre gregoire.favre at gmail.com
Fri Mar 6 17:02:08 CET 2009


On Fri, Mar 06, 2009 at 03:52:03PM +0100, Klaus Schmidinger wrote:

> Let's be careful to not mix up two different things here.
> There's apparently the problem Gregoire reported, which he solved by
> adding an #include, but which doesn't happen here (kernel 2.6.25.20).
> That one has nothing to do with the driver.
> 
> @Gregoire: does this happen with plain vanilla VDR 1.7.4 or are there
> any patches involved?

If I remember right I got the same problem with plain vanille 1.7.4 but
right now I use : 

-rw-r--r--  1 greg greg  23K 2009-01-26 00:34 p1-1.7.4-hlcutter-0.2.1.diff
-rw-r--r--  1 greg greg  50K 2009-01-25 23:23 p1-1.7.4-liemikuutio-1.23.diff
-rw-r--r--  1 greg greg 1.6K 2009-01-26 00:44 p1-cuttime-vdr-1.7.3.diff

> Can you compile dvbdevice.c with the latest driver header files?

My fix is just a little hack, I am not a real programmer, and yes I can
compil the whole VDR (didn't take the time to fix graphlcd). 

My kernel is 2.6.28-gentoo-r2 but if I remenber right I didn't had this
error with previous kernel).

Thank for VDR ;-)
-- 
Grégoire FAVRE http://gregoire.favre.googlepages.com http://www.gnupg.org
               http://picasaweb.google.com/Gregoire.Favre



More information about the vdr mailing list